Subject: Re: (absence of) duplicated inodes <[email-masked]>

From: "John F. Woods" <[email-masked]>

> > SCSI disks are supposed to remap automagically, but more than once I've had
> > cases where borderline sectors don't get remapped, ...  but a fresh low level
> > format cleans up the the problem.
> 1) I have ide disks (though I guess they could be similar to scsi in that they
>    claim to automagically handle bad sectors but might not for marginal ones).

SCSI disks (and those IDE disks which are identical to SCSI disks) remap if
they know what data to use.  Generally, this means either a recoverable read
error that was so far down the error handling path that the drive figures it
had better remap it now, or a write-with-verify.  The drives don't map on
read errors, because they can't know what data to put in the fresh block.
(And if the drive were to just write all zeroes, or 0xE5s, or whatever, then
if the OS crashes after the first reported error before you can tend to the
damaged file, you may never be able to figure out which file got hit.)